FreeMat

- Main Page
- Related Pages

vtkStructuredExtent

Section: Visualization Toolkit Hybrid Classes

# Usage

vtkStructuredExtent is an helper class that helps in arithmetic with structured extents. It defines a bunch of static methods (most of which are inlined) to aid in dealing with extents.

To create an instance of class vtkStructuredExtent, simply invoke its constructor as follows

      obj = vtkStructuredExtent

# Methods

The class vtkStructuredExtent has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkStructuredExtent class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkStructuredExtent = obj.NewInstance ()`
- `vtkStructuredExtent = obj.SafeDownCast (vtkObject o)`